-- qt_voldown.applescript
-- AirClick

--  Created by Casey on 9/22/04.
--  Copyright (c) 2004 Griffin Technology, Inc.. All rights reserved.

tell application "QuickTime Player"
	set the volume_setting to the sound volume
	
	if volume_setting is greater than 0 then
		if the volume_setting is greater than 16 then
			set volume_setting to (the volume_setting - 16)
		else
			set volume_setting to 0
		end if
		
		set sound volume to volume_setting
		tell application "AirClick"
			if volume_setting is not equal to 0 then
				display message "QuickTime Player" meter level volume_setting / 256.0 icon volume
			else
				display message "QuickTime Player" meter level 0.0 icon mute
			end if
		end tell
	else
		tell application "AirClick"
			decrease system volume
		end tell
	end if
end tell
