//
//  it_bezel.h
//  AirClick
//
//  Created by Casey on 9/23/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum {
	eIcon_None = 0,
	eIcon_Stop,
	eIcon_Play,
	eIcon_Pause,
	eIcon_Rew,
	eIcon_FF,
	eIcon_Volume,
	eIcon_Mute,
	eIcon_Prev,
	eIcon_Next,
	eIcon_Max,
};

@interface it_bezelView : NSView
{
	NSMutableDictionary		*mFontDesc;
	NSString				*mMessage;
	Float32					mMeterVal;
	UInt32					mIcon;
}

- (void)				setFontSize: (SInt32) inFontSize;
- (void)				setMessage: (NSString *) inString
							andMeter: (Float32) inMeterVal
							andIcon: (UInt32) inIcon;
@end

@interface it_bezelWindow : NSWindow
{
	NSTimer			*mTimer;
	BOOL			mShouldFade;
}

+ (it_bezelWindow *)	createBezelWithmessage: (NSString *) inString
							andMeter: (Float32) inMeterVal
							andIcon: (UInt32) inIcon;
							
- (void)				setFade: (BOOL) inFade;
- (void)				initTimer;

@end
