//
//  it_remoteContoller.h
//  AirClick
//
//  Created by Casey on 7/28/04.
//  Copyright 2004 Griffin Technology, Inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class it_device;

@interface it_remoteContoller : NSObject
{
	IBOutlet NSMenu			*mStatusMenu;
	IBOutlet it_device		*mDevice;
	
	NSMutableArray			*mTimers;
	NSMutableDictionary		*mLogicResults;
	NSArray					*mFunctions;
	SInt32					mCollectionCnt;
	SInt32					mCollectionIndex;
	
	NSStatusItem			*mStatusItem;
	
	NSImage					*mConnectedImage;
	NSImage					*mDisconnectedImage;
	NSImage					*mCommandImage;
	NSImage					*mRemoteOff;
	
	NSDate					*mUpdateTime;
	BOOL					mDeviceConnected;
	BOOL					mButtonActive;
}

- (void)		readPrefs;
- (void)		writePrefs;

- (void)		remoteEvent: (NSNotification *) inNotification;
- (void)		connectionEvent: (NSNotification *) inNotification;
- (void)		updateStatus: (BOOL) inForce;
- (void)		updateCollectionMenu;

- (IBAction)	handleAboutItem: (id) inSender;
- (IBAction)	handleCollectionSelect: (id) inSender;
- (void)		executeFunction: (NSMutableDictionary *) inFuncInfo;

@end
