-- qt_rewind.applescript
-- AirClick

--  Created by Casey on 9/22/04.
--  Copyright (c) 2004 Griffin Technology, Inc.. All rights reserved.

on timeString(inSeconds)
	set inSeconds to inSeconds as integer
	set hrs to (round (inSeconds div 3600))
	set hrsTxt to hrs as string
	if hrs < 10 then
		set hrsTxt to "0" & hrs
	end if
	set inSeconds to (inSeconds mod 3600)
	
	set mins to (round (inSeconds div 60))
	set minTxt to mins as string
	if mins < 10 then
		set minTxt to "0" & mins
	end if
	set inSeconds to (inSeconds mod 60)
	
	set secsTxt to inSeconds as string
	if inSeconds < 10 then
		set secsTxt to "0" & inSeconds
	end if
	
	return hrsTxt & ":" & minTxt & ":" & secsTxt
end timeString

tell application "QuickTime Player"
	set timescale to (time scale of movie 1)
	set movielen to duration of movie 1
	set proposed_time to current time - 2 * timescale
	if proposed_time < 0 then
		set proposed_time to 0
	end if
	
	set current time of movie 1 to proposed_time
	
	tell application "AirClick"
		if proposed_time is not equal to 0 then
			display message "QuickTime Player " & my timeString(proposed_time / timescale) & " / " & my timeString(movielen / timescale) icon rewind
		else
			display message "QuickTime Player Start" icon rewind
		end if
	end tell
end tell
